<%@ Page Language="VB" MasterPageFile="~/MasterUser.master" AutoEventWireup="false"
CodeFile="mstItemWOPricedtl.aspx.vb" Inherits="mstItemWOPrice" Title="" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="middleContent">
    <%--<script type="text/javascript">
    function s()
    {
    try {
        var t = document.getElementById("<%=GVmstgen.ClientID%>");
        var t2 = t.cloneNode(true)
        for(i = t2.rows.length -1;i > 0;i--)
        t2.deleteRow(i)
        t.deleteRow(0)
        divTblData.appendChild(t2)
        }
    catch(errorInfo) {}
    }
    window.onload = s
  </script>--%>
  <table id="tbRight" bgcolor="white" border="1" cellpadding="3" cellspacing="0" class="tabelhias"
                    width="100%">
                    <tr>
                        <th align="left" class="header" valign="center" style="height: 28px">
                            <asp:Label ID="HDRBARANG" runat="server" Font-Bold="True" Font-Names="Verdana" Font-Size="X-Large"
                                ForeColor="Maroon" Text=":: Data Barang Lokasi"></asp:Label></th>
                    </tr>
                </table>
  <table border="0" cellpadding="0" cellspacing="0" style="width: 100%">
        <tr>
            <td align="left" style="height: 15px">
            </td>
        </tr>
        <tr>
            <td align="left">
                
                    <contenttemplate>
 
</contenttemplate>           
                <ajaxToolkit:TabContainer ID="TabContainer1" runat="server" ActiveTabIndex="0" Width="100%">
                    <ajaxToolkit:TabPanel ID="TabPanel1" runat="server" HeaderText="TabPanel1">
                        <ContentTemplate>
                            <div style="width: 100%; text-align: left;">
                                <asp:UpdatePanel id="UPanelListMaterial" runat="server">
                                    <contenttemplate>
<TABLE><TBODY><TR><TD class="Label" align=left><asp:Label id="Label8" runat="server" CssClass="normalFont" Text="Filter 1 :" __designer:wfdid="w11"></asp:Label> </TD><TD align=left><asp:DropDownList id="FilterDDL" runat="server" Width="100px" CssClass="inpText" __designer:wfdid="w121">
                                <asp:ListItem Value="itemdesc">Nama Barang</asp:ListItem>
                                <asp:ListItem Value="itemcode">Kode</asp:ListItem>
                                <asp:ListItem>Merk</asp:ListItem>
                                <asp:ListItem Value="personname">PIC</asp:ListItem>
                                <asp:ListItem Value="QL_mstgen.gendesc">Grup Barang</asp:ListItem>
                                <asp:ListItem Value="g1.gendesc">Sat Besar</asp:ListItem>
                                <asp:ListItem Value="g2.gendesc">Sat Sdg</asp:ListItem>
                                <asp:ListItem Value="itemflag">Status</asp:ListItem>
                                <asp:ListItem Value="Keterangan">Lokasi</asp:ListItem>
                            </asp:DropDownList> </TD><TD align=left><asp:TextBox id="FilterText" runat="server" Width="150px" CssClass="inpText" __designer:wfdid="w122" MaxLength="30"></asp:TextBox> </TD><TD align=left><asp:ImageButton id="btnSearch" runat="server" ImageUrl="~/Images/find.png" ImageAlign="AbsMiddle" __designer:wfdid="w123">
                            </asp:ImageButton> </TD><TD align=left><asp:ImageButton id="btnList" runat="server" ImageUrl="~/Images/viewall.png" ImageAlign="AbsMiddle" __designer:wfdid="w124">
                            </asp:ImageButton> </TD><TD align=left><asp:ImageButton id="imbPrint" onclick="imbPrint_Click" runat="server" ImageUrl="~/Images/print.png" ImageAlign="AbsMiddle" __designer:wfdid="w125">
                            </asp:ImageButton> </TD></TR><TR><TD class="Label" align=left><asp:Label id="Label38" runat="server" CssClass="normalFont" Text="Filter 2 :" __designer:wfdid="w12"></asp:Label> </TD><TD class="Label" align=left colSpan=2><asp:DropDownList id="FilterDDL2" runat="server" Width="100px" CssClass="inpText" __designer:wfdid="w14">
                                <asp:ListItem Selected="True">Merk</asp:ListItem>
                                <asp:ListItem Value="itemdesc">Nama Barang</asp:ListItem>
                                <asp:ListItem Value="itemcode">Kode</asp:ListItem>
                                <asp:ListItem Value="personname">PIC</asp:ListItem>
                                <asp:ListItem Value="QL_mstgen.gendesc">Grup Barang</asp:ListItem>
                                <asp:ListItem Value="g1.gendesc">Sat Besar</asp:ListItem>
                                <asp:ListItem Value="g2.gendesc">Sat Sdg</asp:ListItem>
                                <asp:ListItem Value="itemflag">Status</asp:ListItem>
                            </asp:DropDownList> &nbsp;<asp:TextBox id="FilterText2" runat="server" Width="150px" CssClass="inpText" __designer:wfdid="w15" MaxLength="30"></asp:TextBox> </TD><TD align=left></TD><TD align=left></TD><TD align=left></TD></TR><TR><TD class="Label" align=left><asp:Label id="Label39" runat="server" CssClass="normalFont" Text="Filter 3 :" __designer:wfdid="w13"></asp:Label> </TD><TD class="Label" align=left colSpan=2><asp:DropDownList id="FilterDDL3" runat="server" Width="100px" CssClass="inpText" __designer:wfdid="w16">
                                <asp:ListItem Selected="True" Value="itemcode">Kode</asp:ListItem>
                                <asp:ListItem Value="itemdesc">Nama Barang</asp:ListItem>
                                <asp:ListItem>Merk</asp:ListItem>
                                <asp:ListItem Value="personname">PIC</asp:ListItem>
                                <asp:ListItem Value="QL_mstgen.gendesc">Grup Barang</asp:ListItem>
                                <asp:ListItem Value="g1.gendesc">Sat Besar</asp:ListItem>
                                <asp:ListItem Value="g2.gendesc">Sat Sdg</asp:ListItem>
                                <asp:ListItem Value="itemflag">Status</asp:ListItem>
                            </asp:DropDownList> &nbsp;<asp:TextBox id="FilterText3" runat="server" Width="150px" CssClass="inpText" __designer:wfdid="w17" MaxLength="30"></asp:TextBox> </TD><TD align=left></TD><TD align=left></TD><TD align=left></TD></TR><TR><TD class="Label" align=left>Urutkan :</TD><TD class="Label" align=left colSpan=2><asp:DropDownList id="orderby" runat="server" Width="99px" CssClass="inpText" __designer:wfdid="w10" AutoPostBack="True">
                                <asp:ListItem Value="itemdesc , personname">Nama</asp:ListItem>
                                <asp:ListItem Value="itemoid desc">ID Terakhir</asp:ListItem>
                            </asp:DropDownList> &nbsp;View Top <asp:TextBox id="SelectTop" runat="server" Width="30px" CssClass="inpText" __designer:wfdid="w2" MaxLength="30">100</asp:TextBox> <ajaxToolkit:FilteredTextBoxExtender id="fteTop" runat="server" __designer:wfdid="w3" Enabled="True" TargetControlID="SelectTop" ValidChars=",.0123456789">
                            </ajaxToolkit:FilteredTextBoxExtender> </TD><TD align=left></TD><TD align=left></TD><TD align=left></TD></TR></TBODY></TABLE><asp:Panel id="Panel1" runat="server" __designer:wfdid="w127" DefaultButton="btnSearch"><asp:GridView id="GVmstgen" runat="server" Width="100%" CssClass="normalFont" __designer:dtid="1970324836974614" __designer:wfdid="w128" EnableModelValidation="True" BorderColor="#E0E0E0" AllowPaging="True" CellPadding="4" AutoGenerateColumns="False" OnSelectedIndexChanged="GVmstgen_SelectedIndexChanged">
<PagerSettings PageButtonCount="15"></PagerSettings>

<RowStyle BackColor="Lavender" BorderColor="Cyan" __designer:dtid="1970324836974632"></RowStyle>
<Columns __designer:dtid="1970324836974622">
<asp:BoundField DataField="nomor" HeaderText="No" SortExpression="nomor" Visible="False"></asp:BoundField>
<asp:HyperLinkField DataNavigateUrlFields="itemoid" DataNavigateUrlFormatString="mstItemWOPricedtl.aspx?oid={0}" DataTextField="itemcode" HeaderText="Kode Barang" SortExpression="itemcode" __designer:dtid="1970324836974623">
<ControlStyle Font-Size="Small" __designer:dtid="1970324836974626"></ControlStyle>

<HeaderStyle HorizontalAlign="Left" Font-Size="Small" Width="15%" __designer:dtid="1970324836974625"></HeaderStyle>

<ItemStyle HorizontalAlign="Left" Font-Size="Small" Width="15%" __designer:dtid="1970324836974624"></ItemStyle>
</asp:HyperLinkField>
<asp:BoundField DataField="itemdesc" HeaderText="Nama Barang" SortExpression="itemdesc" __designer:dtid="1970324836974627">
<HeaderStyle HorizontalAlign="Left" Font-Size="Small" Width="65%" __designer:dtid="1970324836974629"></HeaderStyle>

<ItemStyle HorizontalAlign="Left" Font-Size="Small" Width="65%" __designer:dtid="1970324836974628"></ItemStyle>
</asp:BoundField>
<asp:BoundField DataField="merk" HeaderText="Merk"></asp:BoundField>
<asp:BoundField DataField="bottompricegrosir" HeaderText="PriceList" SortExpression="bottompricegrosir" Visible="False"></asp:BoundField>
<asp:BoundField DataField="itempriceunit1" HeaderText="Harga Qty" SortExpression="itempriceunit1" Visible="False"></asp:BoundField>
<asp:BoundField DataField="satuan1" HeaderText="Unit1" SortExpression="satuan1"></asp:BoundField>
<asp:BoundField DataField="itempriceunit2" HeaderText="Harga Partai" SortExpression="itempriceunit2" Visible="False">
<ItemStyle Font-Size="Small"></ItemStyle>
</asp:BoundField>
<asp:BoundField DataField="satuan2" HeaderText="Unit2" SortExpression="satuan2"></asp:BoundField>
<asp:BoundField DataField="itempriceunit3" HeaderText="Harga Ecer" SortExpression="itempriceunit3" Visible="False" __designer:dtid="1970324836974630">
<HeaderStyle Font-Size="X-Small" Width="5%" __designer:dtid="1970324836974631"></HeaderStyle>

<ItemStyle Font-Size="Small" Width="5%"></ItemStyle>
</asp:BoundField>
<asp:BoundField DataField="satuan3" HeaderText="Unit3">
<HeaderStyle Width="10%"></HeaderStyle>

<ItemStyle Width="10%"></ItemStyle>
</asp:BoundField>
<asp:BoundField DataField="keterangan" HeaderText="Lokasi"></asp:BoundField>
<asp:BoundField DataField="stock" HeaderText="G.Stock Grosir"></asp:BoundField>
<asp:BoundField DataField="stockGUDANG35" HeaderText="G.Stock Retail">
<HeaderStyle ForeColor="Red"></HeaderStyle>

<ItemStyle ForeColor="Red"></ItemStyle>
</asp:BoundField>
<asp:BoundField DataField="stockSupp" HeaderText="G.Supplier"></asp:BoundField>
<asp:TemplateField Visible="False"><ItemTemplate>
<asp:ImageButton id="btnprintlist" onclick="btnprintlist_Click" runat="server" ImageUrl="~/Images/print.gif" ImageAlign="AbsMiddle" __designer:wfdid="w3" ToolTip='<%#eval("itemcode") %>' CommandArgument='<%#eval("itemoid") %>'></asp:ImageButton> 
</ItemTemplate>

<HeaderStyle Width="25px"></HeaderStyle>

<ItemStyle HorizontalAlign="Center" Width="25px"></ItemStyle>
</asp:TemplateField>
</Columns>

<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" __designer:dtid="1970324836974616"></FooterStyle>

<PagerStyle HorizontalAlign="Right" BackColor="White" ForeColor="Black" __designer:dtid="1970324836974633"></PagerStyle>
<EmptyDataTemplate __designer:dtid="1970324836974619">
                                                <asp:Label __designer:dtid="1970324836974620" ID="Label5" runat="server" CssClass="Important" Text="Data Tidak Ditemukan !!!"></asp:Label>
                                            
</EmptyDataTemplate>

<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" __designer:dtid="1970324836974617"></SelectedRowStyle>

<HeaderStyle Font-Bold="True" ForeColor="White" __designer:dtid="1970324836974615"></HeaderStyle>

<EditRowStyle BackColor="#999999" __designer:dtid="1970324836974621"></EditRowStyle>

<AlternatingRowStyle BackColor="White" ForeColor="#284775" __designer:dtid="1970324836974618"></AlternatingRowStyle>
</asp:GridView></asp:Panel> 
</contenttemplate>
                                    <triggers>
<asp:PostBackTrigger ControlID="imbPrint"></asp:PostBackTrigger>
</triggers>
                                </asp:UpdatePanel>&nbsp; &nbsp;&nbsp;
                            </div>
                        </ContentTemplate>
                        <HeaderTemplate>
                            <img align="absMiddle" alt="" height="16" src="../Images/corner.gif" />
                            <strong><span style="font-size: 9pt">Daftar Barang :.</span></strong>
                        </HeaderTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel ID="TabPanel2" runat="server" HeaderText="TabPanel2">
                        <ContentTemplate>
                            <table>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 18px">
                                        <asp:TextBox ID="itemoid" runat="server" CssClass="inpText" Enabled="False" MaxLength="10"
                                            size="20" Visible="False" Width="25px"></asp:TextBox>
                                    </td>
                                    <td align="left" style="width: 212px; height: 18px">
                                        <asp:Label ID="i_u" runat="server" Font-Names="Verdana" Font-Size="8pt" ForeColor="Red"
                                            Text="New" Visible="False"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 145px; color: #000099; height: 18px">
                                        &nbsp;</td>
                                    <td align="left" style="width: 165px; color: #000099; height: 18px">
                                        &nbsp;</td>
                                    <td align="left" style="width: 102px; color: #000099; height: 18px">
                                    </td>
                                    <td align="left" style="color: #000099; height: 18px">
                                    </td>
                                </tr>
                                <tr style="color: #000099">
                                    <td align="left" class="Label" style="font-size: 12px; font-weight: normal;">
                                        Kode Barang <span style="color: #ff0000">*</span></td>
                                    <td align="left" style="font-weight: normal; font-size: 11px;">
                                        <asp:UpdatePanel id="UpdatePanel2" runat="server">
                                            <contenttemplate>
<asp:TextBox id="itemcode" runat="server" Width="152px" CssClass="inpTextDisabled" __designer:wfdid="w202" MaxLength="20" size="20" Enabled="False"></asp:TextBox> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="font-size: 12px; font-weight: normal;">
                                        Nama Barang <span style="color: #ff0000">*</span></td>
                                    <td align="left" style="font-weight: normal; font-size: 11px;" colspan="3">
                                        <asp:UpdatePanel id="UpdatePanel1" runat="server">
                                            <contenttemplate>
<asp:TextBox id="itemdesc" runat="server" Width="312px" Height="16px" CssClass="inpTextDisabled" Font-Size="Small" __designer:wfdid="w204" MaxLength="50" AutoPostBack="True" size="20" Enabled="False"></asp:TextBox> 
</contenttemplate>
                                        </asp:UpdatePanel>&nbsp;&nbsp;</td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px;" valign="top">
                                        <asp:Label ID="Label22" runat="server" Text="Grup Barang" Width="87px" CssClass="normalFont" Font-Size="Small"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 212px;">
                                        <asp:UpdatePanel id="UpdatePanel3" runat="server">
                                            <contenttemplate>
<asp:DropDownList id="itemgroupoid" runat="server" Width="192px" CssClass="inpTextDisabled" Font-Size="Small" OnSelectedIndexChanged="itemgroupoid_SelectedIndexChanged" Enabled="False"></asp:DropDownList> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="width: 145px;" valign="top">
                                        <asp:Label ID="Label21" runat="server" Text="Sub Grup Barang" Width="122px" CssClass="normalFont" Font-Size="Small"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 165px;" valign="top">
                                        <asp:UpdatePanel id="UpdatePanel4" runat="server">
                                            <contenttemplate>
<asp:DropDownList id="itemsubgroupoid" runat="server" Width="207px" CssClass="inpTextDisabled" Font-Size="Small" AutoPostBack="True" Enabled="False"></asp:DropDownList> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="width: 102px;" valign="top">
                                        Merk <span style="color: #ff0000">*</span></td>
                                    <td align="left" valign="top">
                                        <asp:TextBox ID="merk" runat="server" CssClass="inpTextDisabled" Font-Size="Small" MaxLength="15"
                                            size="20" Width="151px" Enabled="False"></asp:TextBox></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 10px">
                                        <asp:Label ID="Label23" runat="server" Text="Barcode Barang1" Width="122px" CssClass="normalFont" Font-Size="Small"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 212px; height: 10px">
                                        <asp:TextBox ID="itembarcode1" runat="server" CssClass="inpTextDisabled"
                                            MaxLength="25" size="20" Width="151px" Font-Size="Small" ReadOnly="True"></asp:TextBox>
                                    </td>
                                    <td align="left" style="width: 145px; height: 10px">
                                        <asp:Label ID="Label13" runat="server" Text="Barcode Barang2" Width="122px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td style="width: 165px; height: 10px">
                                        <asp:TextBox ID="itembarcode2" runat="server" CssClass="inpTextDisabled"
                                            MaxLength="25" size="20" Width="151px" Font-Size="Small" ReadOnly="True"></asp:TextBox></td>
                                    <td align="left" style="width: 102px; height: 10px">
                                        <asp:Label ID="Label24" runat="server" Text="Barcode Barang3" Width="122px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td align="left" style="height: 10px">
                                        <asp:TextBox ID="itembarcode3" runat="server" CssClass="inpTextDisabled"
                                            MaxLength="25" size="20" Width="151px" Font-Size="Small" ReadOnly="True"></asp:TextBox></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 10px">
                                        <asp:Label ID="Label3" runat="server" Text="Sat Bsr" Width="85px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td align="left" style="width: 212px; height: 10px">
                                        <asp:DropDownList ID="satuan1" runat="server" CssClass="inpTextDisabled"
                                            Width="112px" Font-Size="Small" Enabled="False">
                                        </asp:DropDownList></td>
                                    <td align="left" style="width: 145px; height: 10px">
                                        <asp:Label ID="Label18" runat="server" Text="Sat Sdg" Width="109px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td style="width: 165px; height: 10px">
                                        <asp:DropDownList ID="satuan2" runat="server" CssClass="inpTextDisabled"
                                            Width="112px" Font-Size="Small" Enabled="False">
                                        </asp:DropDownList></td>
                                    <td align="left" style="width: 102px; height: 10px">
                                        <asp:Label ID="Label20" runat="server" Text="Sat Std" Width="82px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td align="left" style="height: 10px">
                                        <asp:DropDownList ID="satuan3" runat="server" CssClass="inpTextDisabled"
                                            Width="112px" Font-Size="Small" Enabled="False">
                                        </asp:DropDownList></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 29px">
                                        <asp:Label ID="Label2" runat="server" Text="Konversi Unit 1-2" Width="122px" CssClass="normalFont" Font-Size="Small"></asp:Label>
                                    </td>
                                    <td style="width: 212px; height: 29px">
                                        <asp:UpdatePanel id="UpdatePanel7" runat="server">
                                            <contenttemplate>
<asp:TextBox id="konversi1_2" runat="server" Width="96px" CssClass="inpTextDisabled" Font-Size="Small" __designer:wfdid="w224" MaxLength="9" AutoPostBack="True" Enabled="False" OnTextChanged="konversi1_2_TextChanged">1</asp:TextBox> <BR /><ajaxToolkit:FilteredTextBoxExtender id="fte7" runat="server" __designer:dtid="281474976710815" __designer:wfdid="w225" TargetControlID="konversi1_2" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="font-size: 12px; font-weight: normal;">
                                        <asp:Label ID="Label7" runat="server" CssClass="normalFont" Font-Size="Small" Text="Konversi Unit 2-3" Width="122px"></asp:Label></td>
                                    <td style="width: 165px; height: 29px">
                                        <asp:UpdatePanel id="UpdatePanel6" runat="server">
                                            <contenttemplate>
<asp:TextBox id="konversi2_3" runat="server" Width="106px" CssClass="inpTextDisabled" Font-Size="Small" __designer:wfdid="w27" MaxLength="4" AutoPostBack="True" Enabled="False" OnTextChanged="konversi2_3_TextChanged">1</asp:TextBox><BR /><ajaxToolkit:FilteredTextBoxExtender id="fte8" runat="server" __designer:dtid="281474976710816" __designer:wfdid="w28" TargetControlID="konversi2_3" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="width: 102px; height: 29px">
                                        Payment</td>
                                    <td align="left" style="height: 29px">
                                        <asp:DropDownList ID="payment" runat="server" CssClass="inpTextDisabled"
                                            Width="112px" Font-Size="Small" Enabled="False">
                                        </asp:DropDownList></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 10px">
                                        <asp:Label ID="Label12" runat="server" Text="Status" CssClass="normalFont" Font-Size="Small"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 212px; height: 10px">
                                        <asp:DropDownList ID="ddlStatus" runat="server" CssClass="inpTextDisabled" Font-Size="Small" Enabled="False">
                                            <asp:ListItem Value="Aktif">Aktif</asp:ListItem>
                                            <asp:ListItem Value="Tidak Aktif">Tidak Aktif</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                    <td align="left" style="font-weight: normal; font-size: 11px;">
                                        <span style="font-size: 12px; font-weight: normal;">Safety Stock Retail</span><span style="color: #ff0000">*</span></td>
                                    <td align="left" style="width: 165px; height: 10px">
                                        <asp:UpdatePanel id="UpdatePanel8" runat="server">
                                            <contenttemplate>
<asp:TextBox id="itemsafetystock" runat="server" CssClass="inpTextDisabled" Font-Size="Small" __designer:wfdid="w234" MaxLength="9" AutoPostBack="True" Enabled="False" OnTextChanged="itemsafetystock_TextChanged">1</asp:TextBox> <ajaxToolkit:FilteredTextBoxExtender id="fte9" runat="server" __designer:dtid="281474976710816" __designer:wfdid="w235" TargetControlID="itemsafetystock" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel>
                                    </td>
                                    <td align="left" style="width: 102px; height: 10px">
                                        <span style="font-size: 9pt">Safety Stock</span> Grosir</td>
                                    <td align="left" style="height: 10px">
                                        <asp:UpdatePanel id="UpdatePanel15" runat="server">
                                            <contenttemplate>
<asp:TextBox id="itemsafetystockgrosir" runat="server" CssClass="inpTextDisabled" Font-Size="Small" MaxLength="9" AutoPostBack="True" Enabled="False" OnTextChanged="itemsafetystockgrosir_TextChanged">1</asp:TextBox> <ajaxToolkit:FilteredTextBoxExtender id="fte119" runat="server" TargetControlID="itemsafetystockgrosir" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px; height: 10px">
                                        <asp:Label ID="spg" runat="server" Text="PIC" Width="55px" CssClass="normalFont" Font-Size="Small"></asp:Label></td>
                                    <td align="left" style="width: 212px; height: 10px">
                                        <asp:DropDownList ID="spgOid" runat="server" CssClass="inpTextDisabled"
                                            Width="112px" Font-Size="Small" Enabled="False">
                                    </asp:DropDownList></td>
                                    <td align="left" style="font-weight: normal; font-size: 11px">
                                        Max Stock Retail <span style="color: #ff0000">*</span></td>
                                    <td align="left" style="width: 165px; height: 10px">
                                        <asp:UpdatePanel id="UpdatePanel9" runat="server">
                                            <contenttemplate>
<asp:TextBox id="Maxstock" runat="server" CssClass="inpTextDisabled" Font-Size="Small" MaxLength="9" AutoPostBack="True" Enabled="False" OnTextChanged="Maxstock_TextChanged">100</asp:TextBox> <ajaxToolkit:FilteredTextBoxExtender id="fte10" runat="server" TargetControlID="Maxstock" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel></td>
                                    <td align="left" style="width: 102px; height: 10px">
                                        Max Stock Grosir</td>
                                    <td align="left" style="height: 10px">
                                        <asp:UpdatePanel id="UpdatePanel16" runat="server">
                                            <contenttemplate>
<asp:TextBox id="Maxstockgrosir" runat="server" CssClass="inpTextDisabled" Font-Size="Small" MaxLength="9" AutoPostBack="True" Enabled="False" OnTextChanged="Maxstockgrosir_TextChanged">100</asp:TextBox> <ajaxToolkit:FilteredTextBoxExtender id="fte1110" runat="server" TargetControlID="Maxstockgrosir" Enabled="True" ValidChars="0123456789"></ajaxToolkit:FilteredTextBoxExtender> 
</contenttemplate>
                                        </asp:UpdatePanel></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px;">
                                        <asp:Label ID="Label16" runat="server" Text="Gambar" CssClass="normalFont"></asp:Label>
                                    </td>
                                    <td align="left" colspan="3">
                                        <asp:FileUpload ID="FileUploadInsert" runat="server" CssClass="inpText"
                                            Width="249px" />
                                        <asp:Button ID="btnUpload" runat="server" CssClass="tombol" Text="Upload" />
                                        <br />
                                        <asp:Image ID="imgPerson" runat="server" Height="164px" ImageAlign="Top" Width="181px" />
                                        <asp:Label ID="lblMenuPic" runat="server" Font-Names="Arial" Font-Size="8pt" ForeColor="Red"
                                            Text="itempicture" Visible="False"></asp:Label>
                                    </td>
                                    <td align="left" style="width: 102px;">
                                        <asp:Label ID="Label6" runat="server" Height="11px" Text="Kode Akun"
                                            Width="74px" CssClass="normalFont" Font-Size="Small" Visible="False"></asp:Label></td>
                                    <td align="left">
                                    <asp:DropDownList ID="acctgoid" runat="server" CssClass="inpText"
                                            Width="57px" Font-Size="Small" Visible="False">
                                        </asp:DropDownList></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px">
                                        <asp:Label ID="Label4" runat="server" CssClass="normalFont" Font-Size="Small" Text="Lokasi"></asp:Label></td>
                                    <td align="left" colspan="5">
                                        <asp:TextBox ID="keterangan" runat="server" CssClass="inpText" Font-Size="Small"
                                            MaxLength="100" Width="544px"></asp:TextBox></td>
                                </tr>
                                <tr>
                                    <td align="left" class="Label" style="width: 165px;">
                                    </td>
                                    <td align="left" style="width: 212px;">
                                    </td>
                                    <td align="left" style="width: 145px;">
                                        &nbsp; &nbsp;
                                    </td>
                                    <td align="left" style="width: 165px;">
                                        &nbsp; &nbsp;
                                    </td>
                                    <td align="left" style="width: 102px;">
                                        &nbsp;</td>
                                    <td align="left">
                                        &nbsp;</td>
                                </tr>
                            </table>
                            <table>
                                <tr>
                                    <td align="left" class="Label" style="color: #585858; height: 14px">
                                        <asp:Label ID="lblupd" runat="server" Font-Bold="True" Font-Size="X-Small" ForeColor="#585858"></asp:Label>
                                        by &nbsp;<asp:Label ID="Upduser" runat="server" Font-Bold="True" Font-Size="X-Small"
                                            ForeColor="#585858"></asp:Label>
                                        on &nbsp;<asp:Label ID="Updtime" runat="server" Font-Bold="True" Font-Size="X-Small" ForeColor="#585858"></asp:Label>
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left">
                                        <asp:ImageButton ID="btnSave" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/Save.png" />
                                        <asp:ImageButton ID="BtnCancel" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/Cancel.png" />
                                        <asp:ImageButton ID="btnDelete" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/Delete.png" />
                                    </td>
                                </tr>
                            </table>
                        </ContentTemplate>
                        <HeaderTemplate>
                            <img align="absMiddle" alt="" height="16" src="../Images/corner.gif" />
                            <strong><span style="font-size: 9pt">Form Barang :.</span></strong>
                        </HeaderTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
                                
                <br />
                <br />
                <br />
                <br />
                <br />
                <br />
                </td>
        </tr>
    </table>
<asp:UpdatePanel id="UpdatePanelValidasi" runat="server">
<contenttemplate>
<asp:Panel id="PanelValidasi" runat="server" CssClass="modalMsgBox" Visible="False"><TABLE><TBODY><TR><TD style="BACKGROUND-IMAGE: none; BACKGROUND-COLOR: #cc0000; TEXT-ALIGN: left" colSpan=2><asp:Label id="lblCaption" runat="server" Font-Size="Small" Font-Bold="True" ForeColor="White"></asp:Label></TD></TR><TR><TD><asp:Image id="Image1" runat="server" Width="24px" ImageUrl="~/Images/error.jpg" Height="24px"></asp:Image></TD><TD style="TEXT-ALIGN: left"><asp:Label id="Validasi" runat="server" Font-Size="X-Small" ForeColor="Red"></asp:Label><BR /></TD></TR><TR><TD style="TEXT-ALIGN: center" colSpan=2>&nbsp;<asp:ImageButton id="ImageButton4" onclick="ImageButton4_Click" runat="server" ImageUrl="~/Images/ok.png" ImageAlign="AbsBottom"></asp:ImageButton></TD></TR></TBODY></TABLE></asp:Panel> <ajaxToolkit:ModalPopupExtender id="ModalPopupExtenderValidasi" runat="server" TargetControlID="ButtonExtendervalidasi" DropShadow="True" PopupControlID="Panelvalidasi" BackgroundCssClass="modalBackground" PopupDragHandleControlID="label15" Drag="True"></ajaxToolkit:ModalPopupExtender><asp:Button id="ButtonExtendervalidasi" runat="server" CausesValidation="False" Visible="False"></asp:Button> 
</contenttemplate>
</asp:UpdatePanel> 
    <asp:UpdatePanel id="UpdPanelPrint" runat="server">
        <contenttemplate>
<asp:Panel id="pnlPrint" runat="server" Width="300px" CssClass="modalBox" Visible="False" BorderStyle="Solid" BorderWidth="2px"><TABLE style="WIDTH: 100%" cellSpacing=0 cellPadding=0 border=0><TBODY><TR><TD style="TEXT-ALIGN: center" align=left colSpan=2><asp:Label id="lblPrint" runat="server" Font-Size="Medium" Font-Bold="True" Text="Print Data Barang"></asp:Label></TD></TR><TR><TD style="TEXT-ALIGN: center" align=left colSpan=2><asp:Label id="printType" runat="server" CssClass="Important" __designer:wfdid="w3"></asp:Label></TD></TR><TR><TD style="HEIGHT: 10px; TEXT-ALIGN: center" align=left colSpan=2><asp:Label id="orderIDForReport" runat="server" CssClass="Important" Visible="False"></asp:Label><asp:Label id="orderNoForReport" runat="server" CssClass="Important"></asp:Label></TD></TR><TR><TD style="TEXT-ALIGN: center" align=left colSpan=2><asp:ImageButton id="imbPrintPDF" onclick="imbPrintPDF_Click" runat="server" ImageUrl="~/Images/topdf.png" ImageAlign="AbsMiddle" Visible="False"></asp:ImageButton>&nbsp;<asp:ImageButton id="imbPrintExcel" onclick="imbPrintExcel_Click" runat="server" ImageUrl="~/Images/toexcel.png" ImageAlign="AbsMiddle"></asp:ImageButton>&nbsp;<asp:ImageButton id="imbCancelPrint" onclick="imbCancelPrint_Click" runat="server" ImageUrl="~/Images/Cancel.png" ImageAlign="AbsMiddle"></asp:ImageButton></TD></TR><TR><TD style="TEXT-ALIGN: center" align=left colSpan=2><asp:Label id="lblError" runat="server" CssClass="Important"></asp:Label></TD></TR><TR><TD style="HEIGHT: 20px" align=left></TD><TD style="HEIGHT: 20px" align=left></TD></TR></TBODY></TABLE></asp:Panel><ajaxToolkit:ModalPopupExtender id="mpePrint" runat="server" Drag="True" PopupDragHandleControlID="lblPrint" BackgroundCssClass="modalBackground" PopupControlID="pnlPrint" TargetControlID="btnHidePrint"></ajaxToolkit:ModalPopupExtender><asp:Button id="btnHidePrint" runat="server" Visible="False"></asp:Button> 
</contenttemplate>
        <triggers>
<asp:PostBackTrigger ControlID="imbPrintPDF"></asp:PostBackTrigger>
<asp:PostBackTrigger ControlID="imbPrintExcel"></asp:PostBackTrigger>
</triggers>
    </asp:UpdatePanel>
</asp:Content>
